/////////////////////////////////////////////////////////////////////////////
// NewMapDlg.cpp : implementation file
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Editor.h"
#include "NewMapDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNewMapDlg dialog
/////////////////////////////////////////////////////////////////////////////


CNewMapDlg::CNewMapDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CNewMapDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNewMapDlg)
	m_MapFill = 0;
	m_MapHeight = 0;
	m_MapWidth = 0;
	//}}AFX_DATA_INIT
}


void CNewMapDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNewMapDlg)
	DDX_Text(pDX, IDC_EDITFILL, m_MapFill);
	DDV_MinMaxInt(pDX, m_MapFill, 0, 1024);
	DDX_Text(pDX, IDC_EDITHEIGHT, m_MapHeight);
	DDV_MinMaxInt(pDX, m_MapHeight, 0, 1024);
	DDX_Text(pDX, IDC_EDITWIDTH, m_MapWidth);
	DDV_MinMaxInt(pDX, m_MapWidth, 0, 1024);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CNewMapDlg, CDialog)
	//{{AFX_MSG_MAP(CNewMapDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNewMapDlg message handlers
/////////////////////////////////////////////////////////////////////////////
